Subject: RE: MIB question - default BFD enable status?

From: [email-masked]
Date: Mon, 15 Aug 2005 11:44:03 +0100

Pekka,

BFD needs to be "configured" at the forwarding protocol level (i.e. IPv4, IPv6, MPLS), and in some cases at the control protocol level (e.g. per static route, per EBGP peer). However, ideally an implementation will also support the ability to "enable/disable" configured BFD sessions at the global level, as well as at the per session/interface level. The global enable/disable command is useful for router commissioning scenarios (e.g. to wait until the other nodes in the network have been configured before enabling BFD) and for troubleshooting scenarios (e.g. if BFD is not operating correctly on a particular system).

To use your BGP analogy, BGP sessions are configured on a per peer basis, but all BGP implementation should support the ability to clear/reset sessions at the global level, as well as at the peer level.

Regarding the original question, I agree with Jeff/Tom that the default value for the MIB should be 'disabled', and that r-o should suffice.

Regards,
Richard

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Pekka Savola
> Sent: 12 August 2005 05:55
> To: Thomas D. Nadeau
> Cc: [email-masked]; Jeffrey Haas
> Subject: Re: MIB question - default BFD enable status?
> 
> 
> On Thu, 11 Aug 2005, Thomas D. Nadeau wrote:
> >> But even if we do, I don't think this global feature is 
> even needed -- 
> >> isn't it enough to have interface, protocol, or other 
> status values which 
> >> the operators can then snmpwalk through ?
> >
> >    I know of at least one implementation that has BFD as a global
> > configuration.
> 
> Let's take an analogue.  Does the same implementation have a global 
> configuration to enable/disable BGP?  BGP and BFD sessions seem like 
> similar beasts, and similar management techniques apply.
> 
> I can only see (real) usefulness for session-based controls (and 
> "enable BGP/BFD" toggle without session-specific config is quite 
> questionable), but others might have different requirements so this 
> isn't really a big issue to get too excited about.
> 
> -- 
> Pekka Savola                 "You each name yourselves king, yet the
> Netcore Oy                    kingdom bleeds."
> Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
> 
>